# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | List of all members
dirac::PredictStepFourTap< shift, tap1, tap2 > Class Template Reference

Class to do symmetric four-tap prediction lifting step.

`#include <wavelet_utils.h>`

## Public Member Functions
| PredictStepFourTap ()
| Constructor. More...
void | Filter (CoeffType &in_val, const CoeffType &val1, const CoeffType &val2, const CoeffType &val3, const CoeffType &val4) const
| Do the filtering. More...

## Constructor & Destructor Documentation

template<int shift, int tap1, int tap2>

dirac::PredictStepFourTap< shift, tap1, tap2 >::PredictStepFourTap | ( |  | ) |
| inline

## Member Function Documentation

template<int shift, int tap1, int tap2>

void dirac::PredictStepFourTap< shift, tap1, tap2 >::Filter | ( | CoeffType & | in_val,
|  | const CoeffType & | val1,
|  | const CoeffType & | val2,
|  | const CoeffType & | val3,
|  | const CoeffType & | val4
| ) |  | const
| inline

The documentation for this class was generated from the following file:

- wavelet_utils.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.